%define name	XCombust
%define version	1.0
%define release 1mdk

Name: 	 	%{name}
Summary: 	An elemental analysis calculator
Version: 	%{version}
Release: 	%{release}

Source:		%{name}-%{version}.tar.bz2
URL:		http://www.oci.unizh.ch/group.pages/hesse/xmolcalc/xcombust.html
License:	GPL
Group:		Sciences/Chemistry
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	libforms-devel

%description
XCombust gives you the %%mass of each element for a given chemical formula.  It
can also help identify multiples of solvent or contaminant molecules from an
incorrect elemental analysis.

%prep
%setup -q

%build
make CFLAGS="$RPM_OPT_FLAGS" INCLUDES="-I%{_includedir} -I/usr/X11R6/include/X11" LIBDIR="-L%{_libdir} -L/usr/X11R6/lib"
										
%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
cp %name $RPM_BUILD_ROOT/%{_bindir}

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" icon="chemistry_section.png" needs="x11" title="XCombust" longtitle="Elemental Analysis" section="Applications/Sciences/Chemistry"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files
%defattr(-,root,root)
%doc README *.txt
%{_bindir}/%name
%{_menudir}/%name

%changelog
* Mon Oct 13 2003 Austin Acton <aacton@yorku.ca> 1.0-1mdk
- initial package
